org.codehaus.groovy.tools.javac

## Class JavaAwareResolveVisitor

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - org.codehaus.groovy.ast.ClassCodeVisitorSupport
    - - org.codehaus.groovy.ast.ClassCodeExpressionTransformer
      - - org.codehaus.groovy.control.ResolveVisitor
        - - org.codehaus.groovy.tools.javac.JavaAwareResolveVisitor

All Implemented Interfaces:
  ExpressionTransformer, GroovyClassVisitor, GroovyCodeVisitor

    public class JavaAwareResolveVisitor
    extends ResolveVisitor

### Field Summary

### Fields inherited from class org.codehaus.groovy.control.ResolveVisitor

`DEFAULT_IMPORTS`

### Constructor Summary

Constructors
Constructor and Description
`JavaAwareResolveVisitor(CompilationUnit cu)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addError(java.lang.String msg, ASTNode expr)`
`protected void` `visitClassCodeContainer(Statement code)`
`void` `visitConstructor(ConstructorNode node)` Visit a ConstructorNode.

### Methods inherited from class org.codehaus.groovy.control.ResolveVisitor

`getSourceUnit, setClassNodeResolver, startResolving, transform, transformAnnotationConstantExpression, transformBinaryExpression, transformClosureExpression, transformConstructorCallExpression, transformDeclarationExpression, transformMethodCallExpression, transformPropertyExpression, transformVariableExpression, visitAnnotations, visitBlockStatement, visitCatchStatement, visitClass, visitConstructorOrMethod, visitField, visitForLoop, visitProperty`

### Methods inherited from class org.codehaus.groovy.ast.ClassCodeExpressionTransformer

`visitAssertStatement, visitCaseStatement, visitDoWhileLoop, visitExpressionStatement, visitIfElse, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop`

### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`visitBreakStatement, visitContinueStatement, visitDeclarationExpression, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitStatement, visitTryCatchFinally`

### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaAwareResolveVisitor

    public JavaAwareResolveVisitor(CompilationUnit cu)

### Method Detail

#### visitConstructor

    public void visitConstructor(ConstructorNode node)

Description copied from interface: `GroovyClassVisitor`
Visit a ConstructorNode.

Specified by:
  `visitConstructor` in interface `GroovyClassVisitor`
Overrides:
  `visitConstructor` in class `ClassCodeVisitorSupport`

#### visitClassCodeContainer

    protected void visitClassCodeContainer(Statement code)

Overrides:
  `visitClassCodeContainer` in class `ClassCodeVisitorSupport`

#### addError

    protected void addError(java.lang.String msg,
                            ASTNode expr)

Overrides:
  `addError` in class `ClassCodeVisitorSupport`